/* This file is reserved for overriding and extending the template styles. */

/*
* Select2
* Style issue resolver
*/
.select2-container--default .select2-selection--single .select2-selection__arrow {
	height: 100%;
}

.select2-container .select2-selection--single {
	height: 32px;
}

.select2-container .select2-selection--single .select2-selection__rendered {
	padding: 0.25rem 0.75rem 0.25rem 0.75rem;
}

.select2-container--default .select2-selection--single {
	border-radius: var(--border-radius-sm) !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
	line-height: inherit;
}

.select2-dropdown.select2-dropdown--below {
	margin-top: 3px;
}

.select2-dropdown.select2-dropdown--above {
	margin-top: -3px;
}

.select2-search.select2-search--dropdown {
	padding: 5px !important;
}

.select2-dropdown.select2-dropdown--above {
	border-top: 1px solid #ced4da;
	border-top-left-radius: .25rem;
	border-top-right-radius: .25rem;
}

.select2-dropdown {
	border: 1px solid rgba(var(--primary-rgb), 1) !important;
	padding: 0.5rem;
	border-radius: var(--border-radius-md) !important;
	background: var(--foreground);
}

.select2-container--default.select2-container--open.select2-container--below .select2-selection--single,
.select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple
{
	border-radius: var(--border-radius-sm) !important;
}

.select2-results__option--highlighted, .select2-container--bootstrap4 .select2-results__option--highlighted.select2-results__option[aria-selected=true] {
	cursor: pointer;
	color: var(--primary);
	background: var(--separator-light) !important;
	border-radius: var(--border-radius-sm);
}

.data-table-rows table.dataTable td,
.data-table-rows table.dataTable thead th,
.data-table-rows table.dataTable tfoot th {
	padding-left: 10px !important;
}

.data-table-rows table.dataTable tfoot th {
	height: auto !important;
	padding-top: 3px;
	padding-bottom: 3px;
}